Name:		nurbs++
Version:	3.0.11
Release:	7%{?dist}
Summary:	Non Uniform Rational Basis Spline (NURBS) library for C++

Group:		Development/Libraries
License:	LGPLv2+
URL:		http://sourceforge.net/projects/libnurbs/
Source:		http://downloads.sourceforge.net/libnurbs/%{name}-%{version}.tar.bz2

#Upstream maintenance request
#https://sourceforge.net/tracker/index.php?func=detail&aid=2531392&group_id=3254&atid=103254

#Patch to fix gcc4.3 builds (template compliance problems)
#Submitted to upstream tracker
#https://sourceforge.net/tracker/index.php?func=detail&aid=2531330&group_id=3254&atid=303254
Patch0:		%{name}-gcc4.patch

#Patch to fix openGL lib finding.
Patch1:		%{name}-opengl-config.patch
#Patch to fix gcc4.4 builds (template parameter shadowing)
Patch2:		%{name}-gcc4.4.patch
#Patch to fix linker (non-weak symbols)
Patch3:		%{name}-linker.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#Note cppunit-devel is not included, as the unit tests do not build
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel

%description
A C++ library to manipulate and create NURBS curves and surfaces. Also
featuring vector, matrix, and OpenGL support classes.

%package devel
Group:		Development/Libraries
License:	LGPLv2	
Requires:	%{name} = %{version}-%{release}
Requires:	libGL-devel
Requires:	libGLU-devel

Summary:	Provides development files for %{name} applications



%description devel
Development libraries for the %{name} library.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
#Reconfigure to fix openGL test
autoreconf -f
#libtool provided is <1.5, which causes --tags to be not recognised
#and build breaks. 
rm -f libtool
ln -s `which libtool` libtool

#F10 has /usr/share/libtool/ltmain.sh. 
#F11 has it in config subdir
if [ -f /usr/share/libtool/config/ltmain.sh ] ; then
	cp /usr/share/libtool/config/ltmain.sh .
else
	cp /usr/share/libtool/ltmain.sh .
fi

%build
%configure --enable-shared --disable-static --with-opengl --with-gl-lib=%{_libdir} 

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:`pwd`/image/.libs/:`pwd`/matrix/.libs/:`pwd`/numerical/.libs/
make %{?_smp_mflags}



%install
rm -rf %{buildroot}
mkdir %{buildroot}

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:`pwd`/image/.libs/:`pwd`/matrix/.libs/:`pwd`/numerical/.libs/
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/*.a


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README AUTHORS
%{_libdir}/libmatrix.so.*
%{_libdir}/libmatrixI.so.*
%{_libdir}/libmatrixN.so.*
%{_libdir}/libnurbsd.so.*
%{_libdir}/libnurbsf.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1.gz
%{_libdir}/libmatrix.so
%{_libdir}/libmatrixI.so
%{_libdir}/libmatrixN.so
%{_libdir}/libnurbsd.so
%{_libdir}/libnurbsf.so

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 08 2009 <mycae(a!t)yahoo.com> 3.0.11-6
- ImageMagick is in ifdefs that are not activated
- Fix more weak-link errors

* Tue Jul 07 2009 <mycae(a!t)yahoo.com> 3.0.11-5
- Move manpage for -config utility to devel package
- Add ImageMagick support
- Fixed weak-linking errors
- Add linker patch
- Licence to LGPLv2+

* Sat Jun 06 2009 <mycae(a!t)yahoo.com> 3.0.11-4
- Patch to fix build for gcc-4.4
- Add buildrequires to fix autoreconf/libtool command missing in f11 koji

* Sat Jan 24 2009 <mycae(a!t)yahoo.com> 3.0.11-3
- Modified patch to enable opengl build

* Sat Jan 24 2009 <mycae(a!t)yahoo.com> 3.0.11-2
- Use version macro in URL name

* Sat Jan 24 2009 <mycae(a!t)yahoo.com> 3.0.11-1
- Initial spec file
